# Scanbot Web SDK

## JavaScript Document Scanner, Barcode Scanner, and Data Capture SDK for the Web

The Scanbot Web SDK makes it possible to add barcode-, MRZ-, as well as 
[document scanning to your website or to your web application](https://scanbot.io/products/document-scanning/web-document-scanner/).

The Scanbot Web SDK is based on WebAssembly and the HTML Media Capture API and can be used on iOS 14.5+
(Safari, Chrome, Firefox, Edge) and Android (Chrome, Firefox, Edge, Samsung Internet).

## Barcode Scanner for the Web
The [Web Barcode Scanner](https://scanbot.io/products/barcode-software/web-barcode-scanner/) allows you to easily 
implement barcode scanning. Determine the barcode type, the data contained in it, and data from a potentially 
binary result (rawBytes).

Access the available cameras on the mobile device, choose the customizable interface, configure the settings for the 
barcodes, and let your users easily scan any barcode in your web application.

Enterprise-grade scanning and parsing of a large number of different barcode symbologies with any smartphone or tablet.
Read [1D](https://scanbot.io/products/barcode-software/1d-barcode-scanner/) and
[2D barcodes](https://scanbot.io/products/barcode-software/2d-barcode-scanner/),
like [Code 39](https://scanbot.io/products/barcode-software/1d-barcode-scanner/code-39/),
[Code 93](https://scanbot.io/products/barcode-software/1d-barcode-scanner/code-93/),
[Code 128](https://scanbot.io/products/barcode-software/1d-barcode-scanner/code-128/),
[Codabar](https://scanbot.io/products/barcode-software/1d-barcode-scanner/codabar/),
[UPC-A](https://scanbot.io/products/barcode-software/1d-barcode-scanner/upc/),
[UPC-E](https://scanbot.io/products/barcode-software/1d-barcode-scanner/upc/),
[EAN-8](https://scanbot.io/products/barcode-software/1d-barcode-scanner/ean/),
[EAN-13](https://scanbot.io/products/barcode-software/1d-barcode-scanner/ean/),
[ITF](https://scanbot.io/products/barcode-software/1d-barcode-scanner/itf/),
[QR-Code](https://scanbot.io/products/barcode-software/2d-barcode-scanner/qr-code/),
[Aztec](https://scanbot.io/products/barcode-software/2d-barcode-scanner/aztec/),
[PDF-417](https://scanbot.io/products/barcode-software/2d-barcode-scanner/pdf417/),
[Data Matrix](https://scanbot.io/products/barcode-software/2d-barcode-scanner/data-matrix/), etc.

Check out our [live demo](https://scanbot.io/trial/demo-web/barcode-demo/).

## Document Scanner for the Web
The [Web Document Scanner](https://scanbot.io/products/document-scanning/web-document-scanner/) allows you to easily 
implement real-time document detection with user guidance, auto-snapping, auto-cropping, and perspective correction.

Additionally, the SDK provides an option for custom cropping, in case automatic cropping does not fit your needs, 
as well as the option to save detected documents as PDF or TIFF.

Check out our [live demo](https://scanbot.io/trial/demo-web/).

## MRZ Scanner for the Web
With the Scanbot [MRZ Scanner SDK for the web](https://scanbot.io/products/data-capture/mrz-software/web-mrz-scanner/), 
you can extract personal data from machine-readable zones (MRZ), for example on ID cards.

Check out our [live demo](https://scanbot.io/trial/demo-web/).

## Documentation & Example App
To integrate this plugin into your application please follow the steps in our 
[documentation](https://docs.scanbot.io/document-scanner-sdk/web/introduction/) and check out our Angular, React and 
plain JS [example apps](https://github.com/doo/scanbot-sdk-example-web).

This library is meant to be used natively in a web browser, if you are instead looking for a Cordova plugin, 
please go here: [Document Scanner](https://www.npmjs.com/package/cordova-plugin-scanbot-sdk) / 
[Barcode Scanner](https://www.npmjs.com/package/cordova-plugin-scanbot-barcode-scanner).

## Changelog
For a detailed list of the changes included in each version, please see the 
[changelog](https://docs.scanbot.io/document-scanner-sdk/web/changelog/).


## Trial License
The Scanbot SDK will run without a license for one minute per session! To get an unrestricted, "no-strings-attached" 7-day trial license, please submit the [Trial License Form](https://scanbot.io/trial/) on our website. If you need more time to test our SDK, you can also submit our [Proof of Concept Form](https://scanbot.io/trial/poc/) – giving you a free trial period of 30 days.

Please kindly note that a trial license can only be used in a **development and staging environment**. You are **not allowed to publish** your app to the App Store, Play Store or any 3rd party Android App Store with a trial license.


## Free Developer Support
We provide free "no-strings-attached" developer support for the implementation & testing of the Scanbot SDK. If you encounter technical issues with integrating the Scanbot SDK or need advice on choosing the appropriate framework or features, please visit our [Support Page](https://docs.scanbot.io/support/).
